FreeMat

- Main Page
- Related Pages

vtkOBJReader

Section: Visualization Toolkit IO Classes

# Usage

vtkOBJReader is a source object that reads Wavefront .obj files. The output of this source object is polygonal data.

To create an instance of class vtkOBJReader, simply invoke its constructor as follows

      obj = vtkOBJReader

# Methods

The class vtkOBJReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOBJReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOBJReader = obj.NewInstance ()`
- `vtkOBJReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify file name of Wavefront .obj file.
- `string = obj.GetFileName ()` - Specify file name of Wavefront .obj file.